Subject: bug#17405: C-g C-g in GC does not autosave

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 13:54:29 +0100

Eli Zaretskii <[email-masked]> writes:

>> I think that sounds like somewhat surprising behaviour -- why should
>> `C-g C-g' (at any time) autosave?
>
> Because "C-g C-g" (if you type it fast enough) triggers the so-called
> "emergency escape", whereby we might abort and dump core, subject to
> user's confirmation.  See handle_interrupt in keyboard.c.

Oh, the "abort and dump core (and autosave)" message?  Yes, I've seen
that one, but I assumed that Richard was talking about something else,
since he just mentioned "autosave".

(Speaking of which -- that message has always confused me.  I don't know
what I'm answering yes to "abort", "dump core" or "autosave", or a
combination thereof.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no